<?php

//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------

	include_once ('init.php');
	include_once ('class/MailList.class.inc');
	include_once ('class/FolderList.class.inc');
 	
	$now = gmstrftime('%a, %d %b %Y %H:%M:%S GMT');

	header("Date: " . $now );
	header("Last-Modified: " . $now );
	header("Pragma: no-cache" );
	header("Cache-Control: no-cache" );
 	
 	ValidateAuth();
 	
 	$active_folder = $HTTP_GET_VARS['folder'];
 	$folders = new FolderList;
	
	if( !$folders->HasFolder( $active_folder ) )
	{
		echo "<font class=bodyText>Invalid maillist specified in parametrs.</font>";
		exit;
	}
		
	$content = array();
	$list = new MailList ( 1 );
	foreach( $list->mails as $entry )
		$content[] = $entry->AsMailLine();
	
	$text = join( "\n", $content );
	
	header("Content-Type: text/plain");
	header("Content-Length: " . strlen( $text ) );
	header("Content-Disposition: inline; filename=list.txt");
	
	echo $text;
?>
